SET TIME ON;
SET ECHO ON;
SET FEEDBACK ON;

SPOOL /aplic/q02b/scripts/compilar_procesos.lst;

SELECT TO_CHAR(SYSDATE,'DD-MM-YYYY:HH24:MI:SS') || ' INICIO compilar_procesos.sql' from dual;

WHENEVER SQLERROR EXIT SQL.SQLCODE

-- compilar_procesos.sql

-- Procesos
SELECT 'PROCESOS: ' AS FROM   DUAL;

SELECT 'q02brecompilar: ' AS  FROM   DUAL;
Sta /aplic/q02b/scripts/q02brecompilar.sql

--- Ejecutar la compilacion tras crear el procedimiento
exec q02brecompilar;

col object_name format a30;

select object_name, object_type, status from user_objects where status ='INVALID';

COMMIT;

SELECT TO_CHAR(SYSDATE,'DD-MM-YYYY:HH24:MI:SS') || ' FIN compilar_procesos.sql ' from dual;

SPOOL OFF;

EXIT;
